autoweka

## Class ApplicabilityTester

- java.lang.Object
- - autoweka.ApplicabilityTester

-     public class ApplicabilityTester
      extends java.lang.Object

  Utility class for determining what kind of methods can be applied to a set of instances. Goes through a folder looking for .param files, and trys to instantiate the class to see if it can be used with the given set of instances

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ApplicabilityTester.ApplicableClassifiers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicabilityTester()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<ClassParams>` | `getApplicableAttributeEvaluators(weka.core.Instances instances, java.lang.String paramDirName)` Looks inside a folder for .param files that are WEKA ASEvals
    `static java.util.List<ClassParams>` | `getApplicableAttributeSearchers(weka.core.Instances instances, java.lang.String paramDirName)` Looks inside a folder for .param files that are WEKA ASSearches
    `static ApplicabilityTester.ApplicableClassifiers` | `getApplicableClassifiers(weka.core.Instances instances, java.lang.String baseDir, java.util.List<java.lang.String> allowed)` Looks inside a folder for .param files that are WEKA classifiers (base, meta and ensemble)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicabilityTester

          public ApplicabilityTester()

  - ### Method Detail

    - #### getApplicableClassifiers

          public static ApplicabilityTester.ApplicableClassifiers getApplicableClassifiers(weka.core.Instances instances,
                                                                                           java.lang.String baseDir,
                                                                                           java.util.List<java.lang.String> allowed)

      Looks inside a folder for .param files that are WEKA classifiers (base, meta and ensemble)
      Parameters:
        `instances` - The instances to test on
        `baseDir` - The path to the folder containing the .param files
        `allowed` - Allowed files
      Returns:
        Applicable classifiers.

    - #### getApplicableAttributeEvaluators

          public static java.util.List<ClassParams> getApplicableAttributeEvaluators(weka.core.Instances instances,
                                                                                     java.lang.String paramDirName)

      Looks inside a folder for .param files that are WEKA ASEvals
      Parameters:
        `instances` - The instances to test on
        `paramDirName` - The path to the folder containing the .param files
      Returns:
        List of applicable class parameters.

    - #### getApplicableAttributeSearchers

          public static java.util.List<ClassParams> getApplicableAttributeSearchers(weka.core.Instances instances,
                                                                                    java.lang.String paramDirName)

      Looks inside a folder for .param files that are WEKA ASSearches
      Parameters:
        `instances` - The instances to test on
        `paramDirName` - The path to the folder containing the .param files
      Returns:
        List of applicable class parameters.